
/*------------------------------------------------------------------------
                              N X A M O R

 Some routines for writing NeXus files for the reflectometer AMOR at
 SINQ.
 
 copyright: see copyright.h

 Mark Koennecke, September 1999
----------------------------------------------------------------------*/
#ifndef NXAMOR
#define NXAMOR

   int WriteAmorHeader(char *file, SConnection *pCon);

   int WriteAmorScan(char *file, SConnection *pCon, pScanData pScan);

   int WriteAmorTOF(char *file, SConnection *pCon, pHistMem pHM);

   int AmorStore(SConnection *pCon, SicsInterp *pSics, void *pData,
                 int argc, char *argv[]);
   int AmorStoreMake(SConnection *pCon, SicsInterp *pSics, void *pData,
                 int argc, char *argv[]);


#endif
